version: '3.8'

services:
  portfolio:
    container_name: darius-portfolio-server
    build: .
    env_file:
      - .env
    ports:
      - "4000:4000"
      - "4001:4001"
    restart: unless-stopped
    image: gitea.kleinsense.nl/dariusklein/portfolio:latest
    volumes:
      - ./backup:/web/assets/json

  docs:
    container_name: darius-portfolio-docs
    build:
      context: .
      dockerfile: ./common/docs/Dockerfile
    ports:
      - "4002:80"
    restart: unless-stopped
    image: gitea.kleinsense.nl/dariusklein/portfolio-docs:latest

